Subject: Re: Port of color xterm
From: [email-masked] (Andrew Sumner)

4 May 1998 00:54:02 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

> Does this patch fix the 25 line problem? That is, the fact that applications
> such as less, vi, etc. cannot use more than 25 lines of text under xterm.

The port does fix a 25 line problem - hopefully the one you're
referring to.  

After the first successful build I found that vim 5.0 (unix version, 
compiled with ncurses installed) assumed a 25 line, 80 column terminal, 
but upon resize of the xterm vim was updated with the correct settings.

I inserted a kludge to screen.c to ensure that the tty is informed
of the window size when it is opened, otherwise this didnt happen
until a resize event took place.

I have just posted the full porting process & patch to the list - 
please check this for details.

Regards,

Andrew.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".